@mixin clearfix {
  &::after {
    content: "";
    display: table;
    clear: both;
  }
}

@mixin absCenter {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}


// MEDIA QUERIES MANAGER
// --------------------------------------------------
/*
  
  0 - 600px:          Phones
  600px - 900px:      Tablet portrait
  900px - 1200px:     Tablet landscape
  [1200px - 1800px]   is where our normal styles apply
  1800px - +++ :      Big desktop
  
  $breakpoint argument choices:
  - phone
  - tab-port
  - tab-land
  - big-desktop
  
  ORDER: Base + Typography > General Layout + Grid > Page Layout > Components
  
  1em = 16px
  
  */
@mixin respond($breakpoint) {
  @if $breakpoint == xs {
    @media (max-width: 576px) {
      // 600px
      @content;
    }
  }
  @if $breakpoint == min-xs {
    @media (min-width: 576px) {
      // 600px
      @content;
    }
  }
  @if $breakpoint == sm {
    @media (max-width: 768px) {
      // 600px
      @content;
    }
  }
  @if $breakpoint == min-sm {
    @media (min-width: 768px) {
      // 600px
      @content;
    }
  }
  @if $breakpoint == md {
    @media (max-width: 992px) {
      // 900px
      @content;
    }
  }
  @if $breakpoint == min-md {
    @media (min-width: 992px) {
      @content;
    }
  }
  @if $breakpoint == xmd {
    @media (max-width: 1100px) {
      @content;
    }
  }
  @if $breakpoint == min-xmd {
    @media (min-width: 1100px) {
      @content;
    }
  }
  @if $breakpoint == lg {
    @media (max-width: 1200px) {
      // 1200px
      @content;
    }
  }
  @if $breakpoint == min-lg {
    @media (min-width: 1200px) {
      // 1200px
      @content;
    }
  }
  @if $breakpoint == xl {
    @media (min-width: 1200px) {
      // 1800px
      @content;
    }
  }
}


// ----------------------------
// BUTTONS AND LINKS ANIMATIONS
// ----------------------------
@mixin btnAnimation {
  &,
  &:link,
  &:visited {
      text-transform: uppercase;
      border-radius: 2rem;
      transition: all 0.2s;
  }

  &:hover {
      transform: translateY(-3px);
      box-shadow: 0 0.5rem 2rem rgba($color-black, 0.2);
  }

  &:active,
  &:focus {
      outline: none;
      transform: translateY(-1px);
      box-shadow: 0 0.25rem 1rem rgba($color-black, 0.2) !important;
  }

  @include respond(xmd) {
      font-size: 0.8rem;
  }
}